package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

public interface IPitcherDataService {

    /**
     * 投手每日数据
     */
    Page<PitcherDataDayVO> getPitcherDataDay(PitcherDataDayDTO dto);

    /**
     * 投手每日数据总计
     */
    PitcherDataDayTotalVO getPitcherDataDayTotal(PitcherDataDayTotalDTO dto);

    /**
     * 投手总数据
     */
    Page<PitcherDataTotalVO> getPitcherDataTotal(PitcherDataTotalDTO dto);

    /**
     * 投手总数据总计
     */
    PitcherDataTotalSumVO getPitcherDataTotalSum(PitcherDataTotalSumDTO dto);

    /**
     * 投手游戏每日数据
     */
    Page<PitcherGameDataDayVO> getPitcherGameDataDay(PitcherGameDataDayDTO dto);

    /**
     * 投手游戏每日数据总计
     */
    PitcherGameDataDayTotalVO getPitcherGameDataDayTotal(PitcherGameDataDayTotalDTO dto);

    /**
     * 投手游戏总数据
     */
    Page<PitcherGameDataTotalVO> getPitcherGameDataTotal(PitcherGameDataTotalDTO dto);

    /**
     * 投手游戏总数据总计
     */
    PitcherGameDataTotalSumVO getPitcherGameDataTotalSum(PitcherGameDataTotalSumDTO dto);

}
